Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRXmlTemplateLoader

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRXmlTemplateLoader

    public class JRXmlTemplateLoader

extends java.lang.Object

Utility class that loads `templates` from XML representations.

Version:
  $Id: JRXmlTemplateLoader.java 3690 2010-04-06 12:23:17Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`protected` | `JRXmlTemplateLoader()`

Method Summary
`static JRTemplate` | `load(java.io.File file)` Parses a template XML file into a `template object`.
`static JRTemplate` | `load(java.io.InputStream data)` Parses a template XML data stream into a `template object`.
`static JRTemplate` | `load(java.lang.String location)` Parses a template XML found at a specified location into a `template object`.
`static JRTemplate` | `load(java.net.URL url)` Parses a template XML located at a URL into a `template object`.
`protected JRTemplate` | `loadTemplate(java.io.InputStream data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRXmlTemplateLoader

    protected JRXmlTemplateLoader()

Method Detail

### load

    public static JRTemplate load(java.lang.String location)
                           throws JRException

  Parses a template XML found at a specified location into a `template object`.

  Parameters:
    `location` - the template XML location. Can be a URL, a file path or a classloader resource name.
  Returns:
    the template object
  Throws:
    `JRException` - when the location cannot be resolved or read
  See Also:
    `JRLoader.loadBytesFromLocation(String)`

### load

    public static JRTemplate load(java.io.File file)

  Parses a template XML file into a `template object`.

  Parameters:
    `file` - the template XML file
  Returns:
    the template object

### load

    public static JRTemplate load(java.net.URL url)

  Parses a template XML located at a URL into a `template object`.

  Parameters:
    `url` - the location of the template XML
  Returns:
    the template object

### load

    public static JRTemplate load(java.io.InputStream data)

  Parses a template XML data stream into a `template object`.

  Parameters:
    `data` - the data stream
  Returns:
    the template object

### loadTemplate

    protected JRTemplate loadTemplate(java.io.InputStream data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com